# FTLayout.h File Reference

`#include <FTGL/ftgl.h>`

Go to the source code of this file.

## Data Structures
class | FTLayout
| FTLayout is the interface for layout managers that render text. More...
## Typedefs
typedef struct _FTGLlayout | FTGLlayout
## Functions
void | ftglDestroyLayout (FTGLlayout *layout)
| Destroy an FTGL layout object.
void | ftglGetLayoutBBox (FTGLlayout *layout, const char *string, float bounds[6])
| Get the bounding box for a string.
void | ftglRenderLayout (FTGLlayout *layout, const char *string, int mode)
| Render a string of characters.
FT_Error | ftglGetLayoutError (FTGLlayout *layout)
| Query a layout for errors.

## Typedef Documentation

typedef struct _FTGLlayout FTGLlayout

Definition at line 151 of file FTLayout.h.

## Function Documentation

void ftglDestroyLayout | ( | FTGLlayout * | layout | ) |

Destroy an FTGL layout object.

Parameters:

  | layout | An FTGLlayout* object.

void ftglGetLayoutBBox | ( | FTGLlayout * | layout,
|  | const char * | string,
|  | float | bounds[6] |
| ) |  |  |

Get the bounding box for a string.

Parameters:

  | layout | An FTGLlayout* object.
  | string | A char buffer
  | bounds | An array of 6 float values where the bounding box's lower left near and upper right far 3D coordinates will be stored.

FT_Error ftglGetLayoutError | ( | FTGLlayout * | layout | ) |

Query a layout for errors.

Parameters:

  | layout | An FTGLlayout* object.

Returns:
  The current error code.

void ftglRenderLayout | ( | FTGLlayout * | layout,
|  | const char * | string,
|  | int | mode |
| ) |  |  |

Render a string of characters.

Parameters:

  | layout | An FTGLlayout* object.
  | string | Char string to be output.
  | mode | Render mode to display.